The cirros image was rebuilt against the 3.13.0-83 kernel, drivers e1000e, igbvf...
[packages/trusty/cirros-testvm.git] / cirros-testvm / src-cirros / buildroot-2015.05 / package / acpid / S02acpid
diff --git a/cirros-testvm/src-cirros/buildroot-2015.05/package/acpid/S02acpid b/cirros-testvm/src-cirros/buildroot-2015.05/package/acpid/S02acpid
new file mode 100755 (executable)
index 0000000..0840305
--- /dev/null
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+case "$1" in
+       start)
+               echo -n "Starting acpid: "
+               start-stop-daemon -S -q -m -b -p /var/run/acpid.pid --exec /usr/sbin/acpid -- -n
+               [ $? = 0 ] && echo "OK" || echo "FAIL"
+               ;;
+       stop)
+               echo -n "Stopping acpid: "
+               start-stop-daemon -K -q -p /var/run/acpid.pid
+               [ $? = 0 ] && echo "OK" || echo "FAIL"
+               ;;
+       restart)
+               "$0" stop
+               sleep 1
+               "$0" start
+               ;;
+       *)
+               echo "Usage: $0 {start|stop|restart}"
+               ;;
+esac